import { AbstractControl, FormControl } from '@angular/forms';
import { OnDestroy } from '@angular/core';
import { BsLocaleService } from 'ngx-bootstrap/datepicker';
import { FVAbstractControl } from './abstract-control.component';
import { ProcessService } from '../../services/process.service';
import { LanguageService } from '../../services/language.service';
/**
 * @Author [GrigoreMe](https://github.com/grigoreme)
 */
export declare class FVControlsAbstractTimeComponent extends FVAbstractControl implements OnDestroy {
    container: any;
    readonly HEIGHT: number;
    private canFitBottom;
    constructor(_process: ProcessService, _localeService: BsLocaleService, _language: LanguageService);
    get minDate(): Date | string | number;
    get maxDate(): Date | string | number;
    get formControl(): FormControl | AbstractControl;
    get placement(): string;
    protected AfterViewInit(): void;
    openCalendar(ref: any): void;
    /**
     * Protected because override property must have same access level as super
     * @param _value
     */
    protected setValue(_value?: any): void;
    private setPlacement;
    ngOnDestroy(): void;
}
